package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.StoryArcEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 19.01.2015.
 */
interface StoryArcDao {

    public StoryArcEntity getById(Long id);

    public Collection<StoryArcEntity> findByIds(List<Long> ids);

    public Collection<StoryArcEntity> findByTitle(String title);

    public Collection<StoryArcEntity> findAll();

    public StoryArcEntity store(StoryArcEntity entity);

    public void delete(StoryArcEntity entity);
}
